// search_result.dart
class SearchResult {
  final int rowNum;
  final String filePath;
  final String content;
  final int matchCount;

  SearchResult({
    required this.rowNum,
    required this.filePath,
    required this.content,
    required this.matchCount,
  });

  SearchResult copyWith({
    int? rowNum,
    String? filePath,
    String? content,
    int? matchCount,
  }) {
    return SearchResult(
      rowNum: rowNum ?? this.rowNum,
      filePath: filePath ?? this.filePath,
      content: content ?? this.content,
      matchCount: matchCount ?? this.matchCount,
    );
  }
}