import 'package:win_text_editor/modules/content_search/models/match_result.dart';
import 'package:win_text_editor/shared/base/selectable_item.dart';

class SearchResult implements SelectableItem {
  final String filePath;
  final int lineNumber;
  final String lineContent;
  final List<MatchResult> matches;
  final String queryTerm; // 记录匹配的查询项
  @override
  bool isSelected;

  SearchResult({
    required this.filePath,
    required this.lineNumber,
    required this.lineContent,
    required this.matches,
    required this.queryTerm,
    this.isSelected = false,
  });

  @override
  String toString() => lineContent;
}
