// grid_view_controller.dart
import 'package:win_text_editor/shared/base/safe_notifier.dart';

class GridViewController extends SafeNotifier {
  List<List<dynamic>> _csvData = [];

  List<List<dynamic>> get csvData => _csvData;

  void setCsvData(List<List<dynamic>> data) {
    _csvData = data;
    notifyListeners();
  }

  @override
  void dispose() {
    // Clean up any resources
    super.dispose();
  }

  void reset() {
    // 重置状态的方法
    safeNotify();
  }
}
