import 'package:flutter/material.dart';
import 'package:win_text_editor/modules/outline/models/outline_node.dart';

abstract class BaseContentController with ChangeNotifier {
  void onOpenFolder(String folderPath);

  void onOpenFile(String filePath, {dynamic appendArg});

  void onDropOutlineNode(OutlineNode node);
}
