import 'package:hive/hive.dart';
import 'package:win_text_editor/shared/base/selectable_item.dart';

@HiveType(typeId: 7) // 确保与适配器的typeId一致
class StdField {
  @HiveField(0)
  final String name;

  @HiveField(1)
  final String chineseName;

  @HiveField(2)
  final String dateType;

  StdField({required this.name, required this.chineseName, required this.dateType});
}

class Field implements SelectableItem {
  Field(this.id, this.name, this.chineseName, this.type, [this.isSelected = false]);

  final String id;
  final String name;
  final String chineseName;
  final String type;
  @override
  bool isSelected;
}
